Bug 163596 - pbmtolj coredumps
pbmtolj coredumps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 07:27 EDT by Jonathan Kamens
Modified: 2013-07-02 19:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-21 09:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-07-19 07:27:03 EDT
jik2:~!1039$ rpm -q netpbm; pbmtext "The quick brown fox jumped over the lazy
dogs." | pbmtolj -resolution 600 > /dev/null
netpbm-10.28-3
pbmtolj: pbmtolj.c:181: putitem: Assertion `rowBufferIndex < rowBufferSize' failed.
Aborted (core dumped)
jik2:~!1040$
Comment 1 Jindrich Novy 2005-07-21 08:47:48 EDT
This issue is caused by an integer overflow in the padding calculation. In some
cases (as presented in your example) the padright (unsigned int) variable can
reach below zero (-1).

Then 
for (col = 0; col < padright; ++col) putbit(0);
will output really MANY bits out...

Note You need to log in before you can comment on or make changes to this bug.